Bug 67138 - CVS update of projects blocks other CVS functionality
CVS update of projects blocks other CVS functionality
Status: NEW
Product: versioncontrol
Classification: Unclassified
Component: CVS
5.x
All All
: P2 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
: RELNOTE, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 17:00 UTC by Antonin Nebuzelsky
Modified: 2007-01-04 17:14 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2005-10-19 17:00:38 UTC
Trung said all issues preventing people from using our own CVS support should be
filed as P1. Feel free to downgrade, but I believe this should be fixed
regardless of priority it ends up with.

When I run Update with Dependencies action on nbbuild project and thus update on
all Netbeans sources is running I have to wait for it to finish until other CVS
functionality can be used. When I for example invoke Show Annotations on a file
in editor the task will wait for 2 hours, until the update finishes, and only
then the annotations will be retrieved and displayed.

Maros told me there is one queue for CVS commands. I believe there should be at
least two queues - one for read-only commands (annotations, history, diffs,..)
and another one for RW commands (update, checkout, commit,..).
Comment 1 Maros Sandor 2005-10-20 09:53:31 UTC
I do not wish to infest the module with random bugs resulting from running
concurrent CVS commands in the same workdir in this phase of development. We can
take this discussion offline if you feel that making this possible really
outwieghts such quality degradation.
Comment 2 Antonin Nebuzelsky 2005-10-20 10:02:23 UTC
OK, but I'd like to note that this forces me to run CVS update externally. I
cannot use it in the IDE. I will use only CVS module functionality which
finishes quickly because I cannot wait 2 hours to be able to do diffs or see
annotations.

Trung, I think, it's your turn to decide if this should be fixed or not.
Comment 3 Maros Sandor 2005-10-20 13:50:22 UTC
I would recommend running huge updates of CVS repository externally anyway. If
nothing else, you can schedule it to run at night. Also working with files and
updating them at the same time is always risky.
Comment 4 Antonin Nebuzelsky 2005-10-20 14:32:48 UTC
One thing is that one long running CVS task blocks the rest. This is something
IMHO should be fixed but you may argue that the current state is as designed.

Another thing is that when the user invokes Show Annotations action, the Loading
Annotations task appears in the list of running background tasks, but in fact no
loading of annotations is happening at all! User has no way to realize that
Loading Annotations task is in fact Waiting 2 Hours For The Damned Update To
Finish And Then Do My Job task. This is very bad and I don't think users will
have an understanding for that. They will watch the task for 2 minutes, then
they will become nervous and after 5 minutes they will start checking their
network connection. After 10 minutes they will kill Netbeans and start WinCVS or
whatever client they used before... ;)
Comment 5 Antonin Nebuzelsky 2005-10-24 10:31:07 UTC
Changing back to DEFECT. At least the second part of the problem (see my last
comment above) should be fixed. This can make users believe that performance of
CVS actions is bad.

Changing from P1 to P2, unless we agree that even the first part of the problem
must be fixed (to have more queues for CVS commands).
Comment 6 Maros Sandor 2005-10-24 10:54:02 UTC
Why whould you want to kill Netbeans? We have this wonderful progress indication
with cancel capability, right? You can abort the update if you need to. Anyway,
I will NOT launch more than one CVS command over the same workdir unless I'm
forced to, regardless of priority and issue type.
Comment 7 Antonin Nebuzelsky 2005-10-24 11:01:22 UTC
OK, then users have to be warned about this behaviour. Letting them wait without
any clue is bad.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo